"""Initial migration

Revision ID: 8bb9d6968d36
Revises: 
Create Date: 2020-12-05 13:48:07.549230

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '8bb9d6968d36'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('departments',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=127), nullable=False),
    sa.Column('faculty', sa.String(length=127), nullable=False),
    sa.Column('location', sa.String(length=63), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('employees',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('email', sa.String(length=31), nullable=False),
    sa.Column('password', sa.String(length=63), nullable=False),
    sa.Column('name', sa.String(length=31), nullable=False),
    sa.Column('surname', sa.String(length=31), nullable=False),
    sa.Column('position', sa.Enum('default', 'professor', 'senior_teacher', 'teacher', 'assistant', 'phd_student', 'msc_student', 'admin', name='positionenum'), nullable=False),
    sa.Column('rank', sa.Enum('default', 'sc_doctor', 'phd', 'msc', name='rankenum'), nullable=False),
    sa.Column('salary', sa.Integer(), nullable=False),
    sa.Column('department_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['department_id'], ['departments.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email')
    )
    op.create_table('work_time',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('empl_id', sa.Integer(), nullable=False),
    sa.Column('location', sa.String(length=63), nullable=True),
    sa.Column('start_time', sa.DateTime(), nullable=False),
    sa.Column('end_time', sa.DateTime(), nullable=False),
    sa.Column('work_type', sa.Enum('usual', 'videolecture', 'conference', name='worktypeenum'), nullable=True),
    sa.Column('token', sa.Text(), nullable=True),
    sa.ForeignKeyConstraint(['empl_id'], ['employees.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('work_time')
    op.drop_table('employees')
    op.drop_table('departments')
    # ### end Alembic commands ###
